All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface is subject to change. ***

## com.sas.iquery.metadata.expr
Interface ExpressionTypes

    @SASScope(value="ALL")
    @SubjectToChange
    public interface ExpressionTypes

Specifies constants that are used to define the types of parameters and return type for expressions that are defined in this central class.

Field Summary
`static int` | `EXP_TYPE_BOOLEAN` A true or false value.
`static int` | `EXP_TYPE_CHARACTER` A character based column or character expression.
`static int` | `EXP_TYPE_DATE` A date value
`static int` | `EXP_TYPE_NOT_SET` The "unknown" expression type is not meant to be used in a general way to describe expressions.
`static int` | `EXP_TYPE_NUMERIC` A Numeric column or numeric expression.
`static int` | `EXP_TYPE_TIME` A time value
`static int` | `EXP_TYPE_TIMESTAMP` A timestamp value

Field Detail

*** This field is subject to change. ***

### EXP_TYPE_NOT_SET

    @SASScope(value="ALL")
    @SubjectToChange
    static final int EXP_TYPE_NOT_SET

  The "unknown" expression type is not meant to be used in a general way to describe expressions. Expressions that have an unknown expression type are not eligible or valid for being persisted to metadata storage. The unknown expression type is only used in the following circumstances:
  - As a means of communicating from one piece of code to another (for example, the parser to the code calling the parser) indicating that the expression type could not be determined.

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EXP_TYPE_NUMERIC

    @SASScope(value="ALL")
    @SubjectToChange
    static final int EXP_TYPE_NUMERIC

  A Numeric column or numeric expression.

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EXP_TYPE_CHARACTER

    @SASScope(value="ALL")
    @SubjectToChange
    static final int EXP_TYPE_CHARACTER

  A character based column or character expression.

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EXP_TYPE_DATE

    @SASScope(value="ALL")
    @SubjectToChange
    static final int EXP_TYPE_DATE

  A date value

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EXP_TYPE_TIME

    @SASScope(value="ALL")
    @SubjectToChange
    static final int EXP_TYPE_TIME

  A time value

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EXP_TYPE_TIMESTAMP

    @SASScope(value="ALL")
    @SubjectToChange
    static final int EXP_TYPE_TIMESTAMP

  A timestamp value

  See Also:
    Constant Field Values

*** This field is subject to change. ***

### EXP_TYPE_BOOLEAN

    @SASScope(value="ALL")
    @SubjectToChange
    static final int EXP_TYPE_BOOLEAN

  A true or false value.

  See Also:
    Constant Field Values

*** This interface is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.